# MimeSdpBody Class Reference

MIME for application/sdp. More...

`#include <yatemime.h>`

Inheritance diagram for MimeSdpBody:

List of all members.

## Public Member Functions

| MimeSdpBody ()
| MimeSdpBody (const String &type, const char *buf, int len)
virtual | ~MimeSdpBody ()
virtual void * | getObject (const String &name) const
virtual bool | isSDP () const
virtual MimeBody * | clone () const
const ObjList & | lines () const
void | addLine (const char *name, const char *value=0)
const NamedString * | getLine (const char *name) const
const NamedString * | getNextLine (const NamedString *line) const

## Protected Member Functions

| MimeSdpBody (const MimeSdpBody &original)
virtual void | buildBody () const

## Detailed Description

MIME for application/sdp.

An object holding the lines of an application/sdp MIME type

## Constructor & Destructor Documentation

MimeSdpBody | ( |  | ) |

Default constructor, builds an empty application/sdp

MimeSdpBody | ( | const String & | type,
|  | const char * | buf,
|  | int | len |
| ) |  |  |

Constructor from block of data

Parameters:

  | buf | Pointer to buffer of data
  | len | Length of data in buffer
  | type | Name of the MIME type/subtype, should be "application/sdp"

virtual ~MimeSdpBody | ( |  | ) | `[virtual]`

Destructor

MimeSdpBody | ( | const MimeSdpBody & | original | ) | `[protected]`

Copy constructor

## Member Function Documentation

virtual void* getObject | ( | const String & | name | ) | const`[virtual]`

RTTI method, get a pointer to a derived class given that class name

Parameters:

  | name | Name of the class we are asking for

Returns:
  Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeBody.

virtual bool isSDP | ( |  | ) | const`[inline, virtual]`

Override that checks if this body is an Session Description Protocol

Returns:
  True, since this body holds a SDP

Reimplemented from MimeBody.

virtual MimeBody* clone | ( |  | ) | const`[virtual]`

Duplicate this MIME body

Returns:
  Copy of this MIME body - a new MimeSdpBody

Implements MimeBody.

const ObjList& lines | ( |  | ) | const`[inline]`

Retrive the lines hold in data

Returns:
  List of NamedStrings

void addLine | ( | const char * | name,
|  | const char * | value = `0` |
| ) |  |  | `[inline]`

Append a new name=value line of SDP data

Parameters:

  | name | Name of the line, should be one character
  | value | Text of the line

const NamedString* getLine | ( | const char * | name | ) | const

Retrive the first line matching a name

Parameters:

  | name | Name of the line to search

Returns:
  First instance of the searched name or NULL if none present

const NamedString* getNextLine | ( | const NamedString * | line | ) | const

Retrive the next line of the same type as the current

Parameters:

  | line | Current line

Returns:
  Next instance of same name or NULL if no more

virtual void buildBody | ( |  | ) | const`[protected, virtual]`

Override that is called internally to build the binary encoded body

Implements MimeBody.

The documentation for this class was generated from the following file:

- yatemime.h